<template>
  <v-radio
    :label="label"
    :color="color"
    :density="density"
    hide-details
    base-color="onSurfaceVariant"
    :readonly="readonly"
    :disabled="disabled"
    :value="value"
    :model-value="modelValue"
  >
  </v-radio>
</template>

<script setup>
const props = defineProps({
  label: {
    type: String,
    default: undefined,
  },
  density: {
    type: String,
    default: "default",
  },
  disabled: {
    type: Boolean,
    default: false,
  },
  readonly: {
    type: Boolean,
    default: false,
  },
  color: {
    type: String,
    default: 'primary',
  },
  value: {
    type: undefined,
    default: false,
  },
  modelValue: {
    type: undefined,
    default: undefined,
  }
})
</script>